package com.kingdee.eas.custom.esign;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class AttachmentStoragePathConfigCollection extends AbstractObjectCollection 
{
    public AttachmentStoragePathConfigCollection()
    {
        super(AttachmentStoragePathConfigInfo.class);
    }
    public boolean add(AttachmentStoragePathConfigInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(AttachmentStoragePathConfigCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(AttachmentStoragePathConfigInfo item)
    {
        return removeObject(item);
    }
    public AttachmentStoragePathConfigInfo get(int index)
    {
        return(AttachmentStoragePathConfigInfo)getObject(index);
    }
    public AttachmentStoragePathConfigInfo get(Object key)
    {
        return(AttachmentStoragePathConfigInfo)getObject(key);
    }
    public void set(int index, AttachmentStoragePathConfigInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(AttachmentStoragePathConfigInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(AttachmentStoragePathConfigInfo item)
    {
        return super.indexOf(item);
    }
}